OS2 World.Com Forum

Subject  :  Upgrade Issue - Warp 3 Connect
Author  :  mancubis mancubis@gmail.com
Date  :  23 Sep, 2006 on 10:47
Hello,

I am having trouble upgrading Warp 3 to Warp 3 Connect. When I try to upgrade from within OS/2, I receive the following error:

Line 7 of available_targets in CLTINST.VRM: +++ ok= QLDrives ('DrivesStem');

Also, when I try to upgrade from boot disks, the boot hangs at the second disk. I tried the disks on a separate PS/2 OS/2 machine and they booted fine and let me choose to install connect.

The machine in question is an IBM PS/2 8580.

Any ideas what that error is or how I can finish the upgrade?

Thanks a lot.


-- Joshua Ross Watkins

Subject  :  Re:Upgrade Issue - Warp 3 Connect
Author  :  Fahrvenugen
Date  :  23 Sep, 2006 on 17:17
For your installation issues, it sounds like you need to create updated installation disks. This topic has been covered quite a few times in this forum, do a quick search and you should be able to find an answer. However I should point out that it may not be necessary to do a full blown install, if you are just trying to go from a currently running Warp 3 to Warp 3 connect.

Do you currently have Warp 3 installed at the latest public fixpak level (Fixpak 40)? If so, then upgrading to Warp 3 Connect is easier then you'd think.

The only difference between Warp 3 Connect and Warp 3 (when it has a current fixpak) is the networking stuff. You can install just the networking stuff from the Warp Connect CD Rom. Here's how.

If you currently have installed the IBM Internet Access Kit (the dialup only one), then rename your c:\tcpip directory (rename it to something like c:\tcpipold - Warp 3 Connect installs a newer version of TCP/IP, which if memory serves, sometimes has trouble with the older version included in the IAK), remove any references to c:\tcpip from your config.sys (keep a backup of your current config.sys in case something doesn't work), restart your computer, and then you can just run the networking installation stuff from the Warp 3 Connect CD.

You can do a straight install of the networking stuff by running an install found on the Warp 3 Connect CD Rom:

x:\install.cmd

where x: is the drive letter of your CD ROM. This will kick in the LAN installation stuff.

The main reason that the Warp Connect manual suggests running the full-blown installation is because Warp Connect shipped at a later fixpak level then the original Warp 3 (non-connect), and some of the networking stuff didn't work properly without the later base fixpak (I think Warp Connect shipped at the Fixpak 5 level). But as long as you're running with a current fixpak on Warp 3 (Fixpak 40 is the last one that IBM released to the public for Warp 3 Connect), you'll be fine.

Once you get the networking stuff installed, you'll want to update the TCP/IP, MPTS, and IBM Peer (if you've installed Peer) to the latest fixpak levels for those components.

For TCP/IP, you'll want UN00959 at:
ftp://service.boulder.ibm.com/ps/products/tcpip/fixes/v3.1os2/un00959/english-us/

MPTS WR08423_conv and then WR08425:
ftp://service.boulder.ibm.com/ps/products/mpts/fixes/english-us/wr08423_conv/
ftp://service.boulder.ibm.com/ps/products/mpts/fixes/english-us/wr08425_conv/

IBM Peer ip08196:
ftp://service.boulder.ibm.com/ps/products/lan/fixes/ibm.peer/english-us/ip08196/

Alternatively, if you want to update TCP/IP to the 32 bit stack, you'll need to install wr08610_conv, then wr08621, and then newstack.zip instead of the wr_08423 and wr08425:
ftp://service.boulder.ibm.com/ps/products/mpts/fixes/english-us/wr08610_conv/
ftp://service.boulder.ibm.com/ps/products/mpts/fixes/english-us/wr08621/
http://hobbes.nmsu.edu/cgi-bin/h-search?key=newstack.zip&pushbutton=Search

Note that for the 32 bit TCP/IP stack to work, you *must* install the UN00959 fixpak from above!


Subject  :  Re:Upgrade Issue - Warp 3 Connect
Author  :  mancubis mancubis@gmail.com
Date  :  04 Oct, 2006 on 08:19
I removed references to TCPIP from config.sys, renamed C:\TCPIP to c:\tcpip1, re-installed fix pack 40, and updated MPTS.

Now the install.cmd runs the connect install. I choose advanced, IBM Peer and TCPIP, and continue. Then as the install creates the install, a new error appears:

Line 51 of chkspace in
LANSTART.VRM:
+++ freespace=
SysDriveInfo(install_drives.i);


Any idea where I go from here?


Thanks!

---
-- Joshua Ross Watkins


Subject  :  Re:Upgrade Issue - Warp 3 Connect
Author  :  Fahrvenugen
Date  :  05 Oct, 2006 on 05:50
Hmm, that's an error message I havn't run into before.

First thing to check, do you have enough space on the drive for the install? The Freespace part of that suggests that maybe the installer is trying to check and see if there is enough space on your target drive.

As I recall, that installer is written in VXRexx. If it does not work for you, you may need to run the installations manually.

If MPTS is already installed, then you won't need to install it from the CD. However if you havn't installed MPTS, then it can be installed by running from the CD:

x:\cid\img\laps\mpts.exe

(where x:\ is your CD drive letter)

To install TCP/IP directly from the CD, run:

x:\cid\img\tcpapps\install.exe

To install Peer directly, run:

x:\cid\img\ibmpeer\Peerrmt.exe

Assuming you've installed one of the newer versions of MPTS that I referenced in the earlier FTP links, then when it asks you if you want to use the "newer" version of MPTS, let it do that (I can't recall if it is a "yes/no" or an "ok/cancel" option... but it is something like that)

Also, after each installation let the computer reboot.

Hope this helps


Subject  :  Re:Upgrade Issue - Warp 3 Connect
Author  :  mancubis mancubis@gmail.com
Date  :  08 Oct, 2006 on 20:37
Thanks, those seperate installs worked!

---
-- Joshua Ross Watkins

Powered by UltraBoard 2000 <www.ub2k.com>